For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
      • GETGet a WhatsApp campaign
      • DELDelete a WhatsApp campaign
      • PUTUpdate a WhatsApp campaign
      • GETReturn all your created WhatsApp templates
      • POSTCreate and Send a WhatsApp campaign
      • GETReturn all your created WhatsApp campaigns
      • GETGet your WhatsApp API account information
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Marketing CampaignsWhatsApp Campaigns

Get your WhatsApp API account information

GET
https://api.brevo.com/v3/whatsappCampaigns/config
GET
/v3/whatsappCampaigns/config
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.whatsAppCampaigns.getWhatsAppConfig();
8}
9main();
1{
2 "businessStatus": "verified",
3 "phoneNumberNameStatus": "APPROVED",
4 "phoneNumberQuality": "GREEN",
5 "sendingLimit": "TIER_1K",
6 "whatsappBusinessAccountStatus": "APPROVED",
7 "whatsappBusinessAccountID": 105569359072383
8}
<Note>You can use this API for WhatsApp only if you have setup your WhatsApp account on Brevo platform. To setup your WhatsApp account, follow the steps in the guide below. [Activating WhatsApp](https://developers.brevo.com/docs/whatsapp-campaigns-1) in your account</Note>
Was this page helpful?
Previous

Create a WhatsApp template

Next
Built with
You can use this API for WhatsApp only if you have setup your WhatsApp account on Brevo platform. To setup your WhatsApp account, follow the steps in the guide below. Activating WhatsApp in your account

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Response

Get all the information of your WhatsApp API account
businessStatusstring
Verification status information of the Business account
phoneNumberNameStatusenum
Status of the name associated with WhatsApp Phone number
Allowed values:
phoneNumberQualityenum

Quality status of phone number associated with WhatsApp account. There are three quality ratings. example - High (GREEN) , Medium (YELLOW) and Low(RED)

Allowed values:
sendingLimitstring
Sending limit of the WhatsApp account
whatsappBusinessAccountIdstring
Id of the WhatsApp business account
whatsappBusinessAccountStatusenum
Status information related to WhatsApp Api account
Allowed values:

Errors

400
Bad Request Error